package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

import java.util.List;

/**
 * 邀访人员详情
 */
@Data
public class VisitDataSubItemDto {


    /**
     *<pre>
     *     访客ID
     *     36 位 Guid
     *     必填
     *</pre>
     */
    private String visitorId;


    /**
     * <pre>
     *     访客姓名
     *     必填
     * </pre>
     */
    private String visitorName;

    /**
     * <pre>
     *     访客电话
     *     必填
     * </pre>
     */
    private String visitorTel;

    /**
     * 证件类型
     *
     */
    private String idCardType;

    /**
     * 证件号码
     */
    private String idCardNo;


    /**
     * 换证码
     */
    private String changeNo;


    /**
     * 随性人数
     */
    private Integer personCount;


    /**
     * 动态数字密码
     */
    private String dynamicPass;

    /**
     * <pre>
     *  访客凭证列表
     * </pre>
     *
     */
    private List<VisitDataCredentialDto> credentialList;

    /**
     * 备注
     */
    private String remark;


}
